/** @jsx createElement */

/**
 * Copyright (c) 2015-present, Alibaba Group Holding Limited.
 * All rights reserved.
 *
 */

'use strict';

import { createElement, PureComponent, PropTypes } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Styles from './styles';

class BizIntro extends PureComponent {
  constructor(props) {
    super(props);
  }
  render() {
    const sub_style = [Styles.intro_text, Styles.intro_text_sub];
    if (this.props.main) sub_style.push({ marginTop: 16 });
    return (
      <View style={Styles.intro}>
        <Text style={Styles.intro_text}>{this.props.main}</Text>
        <Text style={sub_style}>{this.props.sub}</Text>
      </View>
    );
  }
}

export default BizIntro;
